/*
 *  $Id: subr.c,v 1.1 1999/06/25 23:51:27 ezk Exp $
 */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif /* HAVE_CONFIG_H */
#include <fist.h>
#include <rot1fs.h>

/*
 * add 1 to each byte
 * return the number of bytes written
 */
int
rot1fs_encode_block(const char *inbuf, char *outbuf, int len)
{
    unsigned char *incp = (unsigned char *) inbuf;
    unsigned char *outcp = (unsigned char *) outbuf;
    int i;

    //    memcpy(outbuf, inbuf, len); return len;

    for (i = 0; i < len; i++, incp++, outcp++)
	*outcp = *incp + 1;
    return len;
}


/*
 * subtract 1 from each byte
 * return the number of bytes written
 */
int
rot1fs_decode_block(const char *inbuf, char *outbuf, int len)
{
    unsigned char *incp = (unsigned char *) inbuf;
    unsigned char *outcp = (unsigned char *) outbuf;
    int i;

    //    memcpy(outbuf, inbuf, len); return len;

    for (i = 0; i < len; i++, incp++, outcp++)
	*outcp = *incp - 1;
    return len;
}

/*
 * Local variables:
 * c-basic-offset: 4
 * End:
 */
